# -*- coding:Utf-8 -*

import ConfigParser
import es, Collector

info = es.AddonInfo()
info.name = "banlistUpdater"
info.version = "1.2"
info.author = "Nicolous"
info.url = "http://mattie.info/forums/"
info.description = "Download et update your ban list file"
info.tags = "ban;download"

# The name of the urls section
SECTION_URL = "urls"

# List which references all thread
g_Thread = None

# Public ConVar
es.ServerVar("banlistupdater_version",info.version,"banlistUpdater : Version of the banlistUpdater script").makepublic()

def load(): 
    global g_Thread

    es.dbgmsg(1,"banlistUpdater : Loading...")

    # Load the config file
    config = ConfigParser.ConfigParser()
    config.read(es.getAddonPath("banlistUpdater") + "/url.ini")

    try:
        # Get the urls to watch
        urls = config.options(SECTION_URL)

        # Get the delay between each ban list update
        delay = config.getint("delay", "hours") * 3600 # in seconds

        # Get the URL string
        urlString = config.get(SECTION_URL,urls[0])

        # Get the destination path
        destPath = config.get("ban list", "path")

        # Launch the Collector
        es.dbgmsg(0,"banlistUpdater : Found url %s" % urls[0])
        collector = Collector.Collector(urls[0],urlString,delay,destPath)
        es.dbgmsg(1,"banlistUpdater : Starting engine for %s" % urls[0])
        collector.start()
        g_Thread = collector

    except Exception, e:
        es.dbgmsg(0,"banlistUpdater : %s" % e)

def unload(): 
    es.dbgmsg(1,"banlistUpdater : Unloading...")

    # Kill the thread
    g_Thread.stop()

